# DataExchange
TKSTEPBase
StepGeom

# StepGeom_OffsetCurve3d Class Reference

`#include <StepGeom_OffsetCurve3d.hxx>`

Inheritance diagram for StepGeom_OffsetCurve3d:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_OffsetCurve3d ()
| Returns a OffsetCurve3d .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Curve)&aBasisCurve, const Standard_Real aDistance, const StepData_Logical aSelfIntersect, const Handle(StepGeom_Direction)&aRefDirection)
Standard_EXPORT void | SetBasisCurve (const Handle(StepGeom_Curve)&aBasisCurve)
Standard_EXPORT Handle_StepGeom_Curve | BasisCurve () const
Standard_EXPORT void | SetDistance (const Standard_Real aDistance)
Standard_EXPORT Standard_Real | Distance () const
Standard_EXPORT void | SetSelfIntersect (const StepData_Logical aSelfIntersect)
Standard_EXPORT StepData_Logical | SelfIntersect () const
Standard_EXPORT void | SetRefDirection (const Handle(StepGeom_Direction)&aRefDirection)
Standard_EXPORT Handle_StepGeom_Direction | RefDirection () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepGeom_Curve | basisCurve
Standard_Real | distance
StepData_Logical | selfIntersect
Handle_StepGeom_Direction | refDirection

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_OffsetCurve3d::StepGeom_OffsetCurve3d | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_Curve StepGeom_OffsetCurve3d::BasisCurve | ( |  | ) | const

Standard_EXPORT Standard_Real StepGeom_OffsetCurve3d::Distance | ( |  | ) | const

Standard_EXPORT const StepGeom_OffsetCurve3d::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_Curve.

virtual Standard_EXPORT void StepGeom_OffsetCurve3d::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Curve)& | aBasisCurve,
|  | const Standard_Real | aDistance,
|  | const StepData_Logical | aSelfIntersect,
|  | const Handle(StepGeom_Direction)& | aRefDirection
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_OffsetCurve3d::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Handle_StepGeom_Direction StepGeom_OffsetCurve3d::RefDirection | ( |  | ) | const

Standard_EXPORT StepData_Logical StepGeom_OffsetCurve3d::SelfIntersect | ( |  | ) | const

Standard_EXPORT void StepGeom_OffsetCurve3d::SetBasisCurve | ( | const Handle(StepGeom_Curve)& | aBasisCurve | ) |

Standard_EXPORT void StepGeom_OffsetCurve3d::SetDistance | ( | const Standard_Real | aDistance | ) |

Standard_EXPORT void StepGeom_OffsetCurve3d::SetRefDirection | ( | const Handle(StepGeom_Direction)& | aRefDirection | ) |

Standard_EXPORT void StepGeom_OffsetCurve3d::SetSelfIntersect | ( | const StepData_Logical | aSelfIntersect | ) |

## Field Documentation

Handle_StepGeom_Curve StepGeom_OffsetCurve3d::basisCurve `[private]`

Standard_Real StepGeom_OffsetCurve3d::distance `[private]`

Handle_StepGeom_Direction StepGeom_OffsetCurve3d::refDirection `[private]`

StepData_Logical StepGeom_OffsetCurve3d::selfIntersect `[private]`

The documentation for this class was generated from the following file:

- StepGeom_OffsetCurve3d.hxx